Bug 1537824 (CVE-2018-5104) - CVE-2018-5104 Mozilla: Use-after-free during font face manipulation (MFSA 2018-03)
Summary: CVE-2018-5104 Mozilla: Use-after-free during font face manipulation (MFSA 201...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-5104
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180123,repo...
Depends On:
Blocks: 1534345
TreeView+ depends on / blocked
 
Reported: 2018-01-23 23:19 UTC by Doran Moppert
Modified: 2019-06-08 22:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-02 00:48:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0122 normal SHIPPED_LIVE Critical: firefox security update 2018-01-24 15:05:22 UTC
Red Hat Product Errata RHSA-2018:0262 normal SHIPPED_LIVE Important: thunderbird security update 2018-02-01 16:28:48 UTC

Description Doran Moppert 2018-01-23 23:19:02 UTC
A use-after-free vulnerability can occur during font face manipulation when a font face is freed while still in use, resulting in a potentially exploitable crash. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-03/#CVE-2018-5104

Comment 1 Doran Moppert 2018-01-23 23:19:06 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 2 errata-xmlrpc 2018-01-24 10:07:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2018:0122 https://access.redhat.com/errata/RHSA-2018:0122

Comment 3 errata-xmlrpc 2018-02-01 11:26:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2018:0262 https://access.redhat.com/errata/RHSA-2018:0262


Note You need to log in before you can comment on or make changes to this bug.